Bug 984555 - Virtual guests remain in migration state after some connectivity issue.
Virtual guests remain in migration state after some connectivity issue.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.5
Unspecified Linux
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Michal Skrivanek
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 09:26 EDT by Roman Hodain
Modified: 2014-01-06 10:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 10:14:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Hodain 2013-07-15 09:26:59 EDT
Description of problem:
When a VM is live migrated to another host and the engine tries to cancel the operation because of some connectivity issues. The command CancelMigrateVDSCommand can failed and the VM remain in the migration state.

Version-Release number of selected component (if applicable):
3.1.5

How reproducible:
Not 100% sure

Steps to Reproduce:
I am not sure, but it should be possible to start the migration and then force some connectivity issue and make the cancle operation to fail.

Actual results:
VM is in "Migration to" state

Expected results:
VM is down or UP depends on the status of the VM.

Additional info:
Comment 3 Michal Skrivanek 2013-07-29 06:00:15 EDT
it's hard to tell anything without vdsm logs, but it seems the VM didn't exist on source when hitting cancel (2013-06-14 17:40:21,017, cacnel failed with "Migration not in progress"). It may have finished the migration right before that - the status as shown in GUI may have been obfuscated by not responding host.
Can you check that and/or supply vdsm logs along with engine?
Comment 5 Michal Skrivanek 2014-01-06 10:14:17 EST
ok...

Note You need to log in before you can comment on or make changes to this bug.